> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# List signup forms

GET https://api.mailchimp.com/3.0/lists/{list_id}/signup-forms

Get signup forms for a specific list.

Reference: https://mailchimp.com/developer/marketing/api/lists/list-signup-forms

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `list_id` (string, required) — The unique ID for the list.

## Response

### 200

- `_links` (list of 30ListsListIdSignupFormsGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `list_id` (string, optional) — The list id.
- `signup_forms` (list of SignupForm, optional) — List signup form.
- `total_items` (integer, optional) — The total number of items matching the query regardless of pagination.

## Types

### 30ListsListIdSignupFormsGetResponsesContentApplicationJsonSchemaLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### SignupForm

List signup form.

- `_links` (list of SignupFormLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `contents` (list of SignupFormContentsItems, optional) — The signup form body content.
- `header` (SignupFormHeader, optional) — Options for customizing your signup form header.
- `list_id` (string, optional) — The signup form's list id.
- `signup_form_url` (string, optional) — Signup form URL.
- `styles` (list of SignupFormStylesItems, optional) — An array of objects, each representing an element style for the signup form.

### SignupFormLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### SignupFormContentsItems

Collection of Content for List Signup Forms.

- `section` (enum, optional) — The content section name.
  - Allowed values: `signup_message`, `unsub_message`, `signup_thank_you_title`
- `value` (string, optional) — The content section text.

### SignupFormHeader

Options for customizing your signup form header.

- `image_align` (enum, optional) — Image alignment.
  - Allowed values: `none`, `left`, `center`, `right`
- `image_alt` (string, optional) — Alt text for the image.
- `image_border_color` (string, optional) — Image border color.
- `image_border_style` (enum, optional) — Image border style.
  - Allowed values: `none`, `solid`, `dotted`, `dashed`, `double`, `groove`, `outset`, `inset`, `ridge`
- `image_border_width` (string, optional) — Image border width.
- `image_height` (string, optional) — Image height, in pixels.
- `image_link` (string, optional) — The URL that the header image will link to.
- `image_target` (enum, optional) — Image link target.
  - Allowed values: `_blank`, `null`
- `image_url` (string, optional) — Header image URL.
- `image_width` (string, optional) — Image width, in pixels.
- `text` (string, optional) — Header text.

### SignupFormStylesItems

Collection of Element style for List Signup Forms.

- `options` (list of SignupFormStylesItemsOptionsItems, optional) — A collection of options for a selector.
- `selector` (enum, optional) — A string that identifies the element selector.
  - Allowed values: `page_background`, `page_header`, `page_outer_wrapper`, `body_background`, `body_link_style`, `forms_buttons`, `forms_buttons_hovered`, `forms_field_label`, `forms_field_text`, `forms_required`, `forms_required_legend`, `forms_help_text`, `forms_errors`, `monkey_rewards_badge`

### SignupFormStylesItemsOptionsItems

An option for Signup Form Styles.

- `property` (string, optional) — A string that identifies the property.
- `value` (string, optional) — A string that identifies value of the property.

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "list_id": "string",
  "signup_forms": [
    {
      "_links": [
        {
          "href": "string",
          "method": "GET",
          "rel": "string",
          "schema": "string",
          "targetSchema": "string"
        }
      ],
      "contents": [
        {
          "section": "signup_message",
          "value": "Signup message goes here"
        }
      ],
      "header": {
        "image_align": "center",
        "image_alt": "This is an image",
        "image_border_color": "#896d6d",
        "image_border_style": "solid",
        "image_border_width": "2",
        "image_height": "200",
        "image_link": "gotothisimage.com",
        "image_target": "_blank",
        "image_url": "http://gallery.mailchimp.com/332310cb9a420a9e7fea2858a/images/2491208c-9458-4834-a708-fef4ee736472.png",
        "image_width": "800",
        "text": "Header Text goes here"
      },
      "list_id": "4ca5becb8d",
      "signup_form_url": "string",
      "styles": [
        {
          "options": [
            {
              "property": "background-color",
              "value": "#111111"
            }
          ],
          "selector": "page_background"
        }
      ]
    }
  ],
  "total_items": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/lists/list_id/signup-forms"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/lists/list_id/signup-forms';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/lists/list_id/signup-forms"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/lists/list_id/signup-forms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/lists/list_id/signup-forms")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/lists/list_id/signup-forms', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id/signup-forms");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id/signup-forms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```